<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Code;

class CodeSeeder extends Seeder
{
    public function run()
    {
        // هنا يتم إضافة البيانات
        Code::create([
            'code' => 'a34001',
            'name' => 'PM2.5',
            'unit' => 'µg/m³'
        ]);
        
        Code::create([
            'code' => 'o31104',
            'name' => 'TVOC',
            'unit' => 'ppm'
        ]);
        
        Code::create([
            'code' => 'a21005',
            'name' => 'NH3',
            'unit' => 'ppm'
        ]);
        
        Code::create([
            'code' => 'a21004',
            'name' => 'SO2',
            'unit' => 'µg/m³'
        ]);
        
        Code::create([
            'code' => 'a21026',
            'name' => 'NO2',
            'unit' => 'µg/m³'
        ]);
        
        Code::create([
            'code' => 'a21028',
            'name' => 'TSP',
            'unit' => 'µg/m³'
        ]);
        
        Code::create([
            'code' => 'a21001',
            'name' => 'H2S',
            'unit' => 'ppm'
        ]);
        
        Code::create([
            'code' => 'a01001',
            'name' => 'CO',
            'unit' => 'mg/m³'
        ]);
        
        Code::create([
            'code' => 'a01002',
            'name' => 'O3',
            'unit' => 'µg/m³'
        ]);
        
        Code::create([
            'code' => 'a24088',
            'name' => 'PM10',
            'unit' => 'µg/m³'
        ]);
        
        Code::create([
            'code' => 'a01007',
            'name' => 'Temperature',
            'unit' => '°C'
        ]);
        
        Code::create([
            'code' => 'a01006',
            'name' => 'Humidity',
            'unit' => '%RH'
        ]);
        
        Code::create([
            'code' => 'LA',
            'name' => 'Pressure',
            'unit' => 'hPa'
        ]);
        
        Code::create([
            'code' => 'a01008',
            'name' => 'Wind Speed',
            'unit' => 'm/s'
        ]);
        
        Code::create([
            'code' => 'a34002',
            'name' => 'Wind Direction',
            'unit' => '°'
        ]);
        
        Code::create([
            'code' => 'a34004',
            'name' => 'Noise',
            'unit' => 'dB'
        ]);
        
        Code::create([
            'code' => 'AIRPRE',
            'name' => 'Air Pressure',
            'unit' => 'hPa'
        ]);
    }
}
